﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Globalization;
using System.Xml.Linq;

namespace SilverlightApplication2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
      
        }

        private void calendar1_SelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
 
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // Load the xml document and get the culture with wich the dates were serialized:
            XDocument xmlSource = XDocument.Load("DataSource.xml");
            CultureInfo usCulture = new CultureInfo("En-US");
            // Add Get all the dates in the xml document and add them as selected dates:
            foreach (var dateNode in xmlSource.Descendants("Date"))
            {
                calendar1.SelectedDates.Add(DateTime.Parse(dateNode.Value, usCulture.DateTimeFormat));
            }
            // Set the display date to the first selected date, so that the selection is visible.
            calendar1.DisplayDate = (DateTime)calendar1.SelectedDates[0];
        }
    }
}
